package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjDwxxMapper;
import com.sooka.system.domain.TgjjDwxx;
import com.sooka.system.service.ITgjjDwxxService;

/**
 * 单位信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service

public class TgjjDwxxServiceImpl extends Guiji_Base_Service implements ITgjjDwxxService
{
    @Autowired
    private TgjjDwxxMapper tgjjDwxxMapper;

    /**
     * 查询单位信息
     *
     * @param ID 单位信息ID
     * @return 单位信息
     */
    @Override
    public TgjjDwxx selectTgjjDwxxById(Long ID)
    {
        return tgjjDwxxMapper.selectTgjjDwxxById(ID);
    }

    /**
     * 查询单位信息列表
     *
     * @param tgjjDwxx 单位信息
     * @return 单位信息
     */
    @Override
    public List<TgjjDwxx> selectTgjjDwxxList(TgjjDwxx tgjjDwxx)
    {
        List ls = tgjjDwxxMapper.selectTgjjDwxxList(tgjjDwxx);
        tgjjDwxx.setInterfaceinfoId("cb80a8e2-b65a-4ebb-82b3-c5257142397b");
        tgjjDwxx.setInterfaceinfoName("共享-市公积金-单位信息");
        tgjjDwxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjDwxx.setDeptId(deptId);
        tgjjDwxx.setDeptName(deptName);
        add_log(tgjjDwxx);
        return ls;
    }

    /**
     * 新增单位信息
     *
     * @param tgjjDwxx 单位信息
     * @return 结果
     */
    @Override
    public int insertTgjjDwxx(TgjjDwxx tgjjDwxx)
    {
        return tgjjDwxxMapper.insertTgjjDwxx(tgjjDwxx);
    }

    /**
     * 修改单位信息
     *
     * @param tgjjDwxx 单位信息
     * @return 结果
     */
    @Override
    public int updateTgjjDwxx(TgjjDwxx tgjjDwxx)
    {
        return tgjjDwxxMapper.updateTgjjDwxx(tgjjDwxx);
    }

    /**
     * 删除单位信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDwxxByIds(String ids)
    {
        return tgjjDwxxMapper.deleteTgjjDwxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除单位信息信息
     *
     * @param ID 单位信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDwxxById(Long ID)
    {
        return tgjjDwxxMapper.deleteTgjjDwxxById(ID);
    }
}
